io.agora.rtc

## Class RemoteVideoTrackStats

- java.lang.Object
- - io.agora.rtc.RemoteVideoTrackStats

-     public class RemoteVideoTrackStats
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `avSyncTimeMs` The offset (ms) between audio and video stream.
    `private int` | `decoderOutputFrameRate` The decoder output frame rate (fps) of the remote video.
    `private int` | `delay` **DEPRECATED** Time delay (ms).
    `private int` | `downlinkProcessTimeMs` The average offset(ms) between receive first packet which composite the frame and the frame ready to render.
    `private int` | `frameLossRate` The video frame loss rate (%) of the remote video stream in the reported interval.
    `private int` | `frameRenderDelayMs` The average time cost in renderer.
    `private int` | `frozenRate` The total video freeze time as a percentage (%) of the total time when the video is available.
    `private int` | `height` Height (pixels) of the video stream.
    `private int` | `packetLossRate` Packet loss rate (%) of the remote video stream after using the anti-packet-loss method.
    `private long` | `publishDuration` The total publish duration (ms) of the remote video stream.
    `private int` | `receivedBitrate` Bitrate (Kbps) received since the last count.
    `private int` | `rendererOutputFrameRate` The render output frame rate (fps) of the remote video.
    `private int` | `rxStreamType` The remote video stream type.
    `private long` | `totalActiveTime` The total time (ms) when the remote user neither stops sending the video stream nor disables the video module after joining the channel.
    `private int` | `totalDecodedFrames` The total video decoded frames.
    `private int` | `totalFrozenTime` The total freeze time (ms) of the remote video stream after the remote user joins the channel.
    `private int` | `uid` User ID of the remote user sending the video streams.
    `private int` | `width` Width (pixels) of the video stream.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteVideoTrackStats()`
    `RemoteVideoTrackStats(int uid, int delay, int width, int height, int receivedBitrate, int decoderOutputFrameRate, int rendererOutputFrameRate, int frameLossRate, int packetLossRate, int rxStreamType, int totalFrozenTime, int frozenRate, int totalDecodedFrames, int avSyncTimeMs, int downlinkProcessTimeMs, int frameRenderDelayMs, long totalActiveTime, long publishDuration)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAvSyncTimeMs()`
    `int` | `getDecoderOutputFrameRate()`
    `int` | `getDelay()`
    `int` | `getDownlinkProcessTimeMs()`
    `int` | `getFrameLossRate()`
    `int` | `getFrameRenderDelayMs()`
    `int` | `getFrozenRate()`
    `int` | `getHeight()`
    `int` | `getPacketLossRate()`
    `long` | `getPublishDuration()`
    `int` | `getReceivedBitrate()`
    `int` | `getRendererOutputFrameRate()`
    `int` | `getRxStreamType()`
    `long` | `getTotalActiveTime()`
    `int` | `getTotalDecodedFrames()`
    `int` | `getTotalFrozenTime()`
    `int` | `getUid()`
    `int` | `getWidth()`
    `void` | `setAvSyncTimeMs(int avSyncTimeMs)`
    `void` | `setDecoderOutputFrameRate(int decoderOutputFrameRate)`
    `void` | `setDelay(int delay)`
    `void` | `setDownlinkProcessTimeMs(int downlinkProcessTimeMs)`
    `void` | `setFrameLossRate(int frameLossRate)`
    `void` | `setFrameRenderDelayMs(int frameRenderDelayMs)`
    `void` | `setFrozenRate(int frozenRate)`
    `void` | `setHeight(int height)`
    `void` | `setPacketLossRate(int packetLossRate)`
    `void` | `setPublishDuration(long publishDuration)`
    `void` | `setReceivedBitrate(int receivedBitrate)`
    `void` | `setRendererOutputFrameRate(int rendererOutputFrameRate)`
    `void` | `setRxStreamType(int rxStreamType)`
    `void` | `setTotalActiveTime(long totalActiveTime)`
    `void` | `setTotalDecodedFrames(int totalDecodedFrames)`
    `void` | `setTotalFrozenTime(int totalFrozenTime)`
    `void` | `setUid(int uid)`
    `void` | `setWidth(int width)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### uid

          private int uid

      User ID of the remote user sending the video streams.

    - #### delay

          private int delay

      **DEPRECATED** Time delay (ms).

    - #### width

          private int width

      Width (pixels) of the video stream.

    - #### height

          private int height

      Height (pixels) of the video stream.

    - #### receivedBitrate

          private int receivedBitrate

      Bitrate (Kbps) received since the last count.

    - #### decoderOutputFrameRate

          private int decoderOutputFrameRate

      The decoder output frame rate (fps) of the remote video.

    - #### rendererOutputFrameRate

          private int rendererOutputFrameRate

      The render output frame rate (fps) of the remote video.

    - #### frameLossRate

          private int frameLossRate

      The video frame loss rate (%) of the remote video stream in the reported interval.

    - #### packetLossRate

          private int packetLossRate

      Packet loss rate (%) of the remote video stream after using the anti-packet-loss method.

    - #### rxStreamType

          private int rxStreamType

      The remote video stream type.

    - #### totalFrozenTime

          private int totalFrozenTime

      The total freeze time (ms) of the remote video stream after the remote user joins the channel. In a video session where the frame rate is set to no less than 5 fps, video freeze occurs when the time interval between two adjacent renderable video frames is more than 500 ms.

    - #### frozenRate

          private int frozenRate

      The total video freeze time as a percentage (%) of the total time when the video is available.

    - #### totalDecodedFrames

          private int totalDecodedFrames

      The total video decoded frames.

    - #### avSyncTimeMs

          private int avSyncTimeMs

      The offset (ms) between audio and video stream. A positive value indicates the audio leads the video, and a negative value indicates the audio lags the video.

    - #### downlinkProcessTimeMs

          private int downlinkProcessTimeMs

      The average offset(ms) between receive first packet which composite the frame and the frame ready to render.

    - #### frameRenderDelayMs

          private int frameRenderDelayMs

      The average time cost in renderer.

    - #### totalActiveTime

          private long totalActiveTime

      The total time (ms) when the remote user neither stops sending the video stream nor disables the video module after joining the channel.

    - #### publishDuration

          private long publishDuration

      The total publish duration (ms) of the remote video stream.

  - ### Constructor Detail

    - #### RemoteVideoTrackStats

          public RemoteVideoTrackStats()

    - #### RemoteVideoTrackStats

          public RemoteVideoTrackStats(int uid,
                                       int delay,
                                       int width,
                                       int height,
                                       int receivedBitrate,
                                       int decoderOutputFrameRate,
                                       int rendererOutputFrameRate,
                                       int frameLossRate,
                                       int packetLossRate,
                                       int rxStreamType,
                                       int totalFrozenTime,
                                       int frozenRate,
                                       int totalDecodedFrames,
                                       int avSyncTimeMs,
                                       int downlinkProcessTimeMs,
                                       int frameRenderDelayMs,
                                       long totalActiveTime,
                                       long publishDuration)

  - ### Method Detail

    - #### getUid

          public int getUid()

    - #### setUid

          public void setUid(int uid)

    - #### getDelay

          public int getDelay()

    - #### setDelay

          public void setDelay(int delay)

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public void setWidth(int width)

    - #### getHeight

          public int getHeight()

    - #### setHeight

          public void setHeight(int height)

    - #### getReceivedBitrate

          public int getReceivedBitrate()

    - #### setReceivedBitrate

          public void setReceivedBitrate(int receivedBitrate)

    - #### getDecoderOutputFrameRate

          public int getDecoderOutputFrameRate()

    - #### setDecoderOutputFrameRate

          public void setDecoderOutputFrameRate(int decoderOutputFrameRate)

    - #### getRendererOutputFrameRate

          public int getRendererOutputFrameRate()

    - #### setRendererOutputFrameRate

          public void setRendererOutputFrameRate(int rendererOutputFrameRate)

    - #### getFrameLossRate

          public int getFrameLossRate()

    - #### setFrameLossRate

          public void setFrameLossRate(int frameLossRate)

    - #### getPacketLossRate

          public int getPacketLossRate()

    - #### setPacketLossRate

          public void setPacketLossRate(int packetLossRate)

    - #### getRxStreamType

          public int getRxStreamType()

    - #### setRxStreamType

          public void setRxStreamType(int rxStreamType)

    - #### getTotalFrozenTime

          public int getTotalFrozenTime()

    - #### setTotalFrozenTime

          public void setTotalFrozenTime(int totalFrozenTime)

    - #### getFrozenRate

          public int getFrozenRate()

    - #### setFrozenRate

          public void setFrozenRate(int frozenRate)

    - #### getTotalDecodedFrames

          public int getTotalDecodedFrames()

    - #### setTotalDecodedFrames

          public void setTotalDecodedFrames(int totalDecodedFrames)

    - #### getAvSyncTimeMs

          public int getAvSyncTimeMs()

    - #### setAvSyncTimeMs

          public void setAvSyncTimeMs(int avSyncTimeMs)

    - #### getDownlinkProcessTimeMs

          public int getDownlinkProcessTimeMs()

    - #### setDownlinkProcessTimeMs

          public void setDownlinkProcessTimeMs(int downlinkProcessTimeMs)

    - #### getFrameRenderDelayMs

          public int getFrameRenderDelayMs()

    - #### setFrameRenderDelayMs

          public void setFrameRenderDelayMs(int frameRenderDelayMs)

    - #### getTotalActiveTime

          public long getTotalActiveTime()

    - #### setTotalActiveTime

          public void setTotalActiveTime(long totalActiveTime)

    - #### getPublishDuration

          public long getPublishDuration()

    - #### setPublishDuration

          public void setPublishDuration(long publishDuration)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`